using Hcs.Broker.Api;
using Hcs.Service.Async.OrgRegistryCommon;

namespace Hcs.Broker.Mock.Api
{
    /// <inheritdoc cref="IOrgRegistryCommonApi"/>
    public class MockOrgRegistryCommonApi : IOrgRegistryCommonApi
    {
        /// <inheritdoc cref="IOrgRegistryCommonApi"/>
        public async Task<IEnumerable<exportDataProviderResultType>> ExportDataProviderAsync(bool isActual, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return [];
        }

        /// <inheritdoc cref="IOrgRegistryCommonApi"/>
        public async Task<IEnumerable<exportOrgRegistryResultType>> ExportOrgRegistryAsync(string ogrn, string kpp, CancellationToken token = default)
        {
            await Task.Delay(3000, token);

            return [];
        }
    }
}
